package com.skr.mdm.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author nfq
 * @date 2020/9/18 17:17
 */
@Getter
@AllArgsConstructor
public enum StrategyEquipmentStateEnum {


    /**
     * 策略设备状态
     */
    WAIT_ISSUED(0, "待下发"),
    ISSUING(1, "下发中"),
    ISSUED_SUCCESS(2, "下发成功"),
    EXECUTING(3, "执行中/安装成功"),
    EXECUTE_SUCCESS(4, "执行成功/安装失败");

    private final Integer state;
    private final String stateName;
}
